import {createRouter, createWebHistory} from 'vue-router'

const router = createRouter({
    history: createWebHistory(),
    routes:[
        {
            path:'/',
            name:'登录',
            component:() => import('@/pages/Login/myLogin')
        },
        {
            path:'/register',
            name:'注册',
            component:() => import('@/pages/Register/myRegister')
        },
        {
            path:'/navigation',
            name:'主页',
            component:() => import('@/pages/Navigation/myNavigation'),
            children:[
                {
                    path:'pawn',
                    name:'典当管理',
                    component:() => import('@/pages/Business/pawn/myPawn')
                },
                {
                    path:'approval',
                    name:'审批管理',
                    component:() =>import('@/pages/Business/approval/myApproval')
                },
                {
                    path:'alarm',
                    name:'告警管理',
                    component:() => import('@/pages/Business/alarm/myAlarm')
                },
                {
                    path:'bill',
                    name:'账单管理',
                    component:() => import('@/pages/Account/bill/myBill')
                },
                {
                    path:'covenant',
                    name:'合同管理',
                    component:() => import('@/pages/Account/covenant/myCovenant')
                },
                {
                    path:'customer',
                    name:'客户管理',
                    component:() => import('@/pages/Account/customer/myCustomer')
                },
                {
                    path:'branch',
                    name:'分店管理',
                    component:() => import('@/pages/System/branch/myBranch')
                },
                {
                    path:'user',
                    name:'用户管理',
                    component:() => import('@/pages/System/user/myUser')
                },
                {
                    path:'workflow',
                    name:'审批流程管理',
                    component:() => import('@/pages/System/workflow/myWorkflow')
                }
            ]
        },
    ]
})

export default router